summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD27
-rwxr-xr-xbuildandcopy.sh27
3 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..20f386a6edc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = xstow++
+ pkgdesc = XStow is a replacement of GNU Stow written in C++. It supports all features of Stow with some extensions. Unofficial fork with some extra patches merged.
+ pkgver = 1.0.3
+ pkgrel = 1
+ url = https://github.com/rspeed/xstow
+ arch = x86_64
+ license = GPL
+ depends = ncurses
+ source = xstow++.1.0.3.tar.gz::https://github.com/rspeed/xstow/releases/download/v1.0.3/xstow-1.0.3.tar.bz2
+ md5sums = 50930488a1fb78e05884b352d4bb2c7f
+
+pkgname = xstow++
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c0d6dcbf765
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: marcelhuberfoo <marcelhuberfoo ät gmail döt com>
+pkgname=xstow++
+pkgver=1.0.3
+pkgrel=1
+pkgdesc="XStow is a replacement of GNU Stow written in C++. It supports all features of Stow with some extensions. Unofficial fork with some extra patches merged."
+arch=('x86_64')
+url="https://github.com/rspeed/xstow"
+license=('GPL')
+depends=('ncurses')
+source=(${pkgname}.${pkgver}.tar.gz::https://github.com/rspeed/xstow/releases/download/v${pkgver}/xstow-${pkgver}.tar.bz2)
+md5sums=('50930488a1fb78e05884b352d4bb2c7f')
+
+build() {
+ cd "$srcdir/${pkgname/++/}-$pkgver"
+ ./configure --prefix=/usr --with-curses=/usr
+ make
+}
+
+check() {
+ cd "$srcdir/${pkgname/++/}-$pkgver"
+ make -k check
+}
+
+package() {
+ cd "$srcdir/${pkgname/++/}-$pkgver"
+ make DESTDIR="$pkgdir/" install
+}
diff --git a/buildandcopy.sh b/buildandcopy.sh
new file mode 100755
index 00000000000..f7619edea66
--- /dev/null
+++ b/buildandcopy.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+thedirs="."
+repodir=/home/own-repo
+
+thingsToDo=(
+ 'for n in $thedirs; do ( cd $n && updpkgsums); done'
+ 'for n in $thedirs; do ( cd $n && makepkg --force --nodeps --nobuild; makepkg --printsrcinfo > .SRCINFO ); done'
+ 'git diff --quiet --no-ext-diff --exit-code && echo clean || ( git diff -b -w && git add -p && git commit ) || true'
+ 'for n in $thedirs; do ( cd $n && makepkg --force --nodeps --noextract --cleanbuild --skipchecksums); done'
+ 'test -n "$repodir" -a -d "$repodir" && for n in $thedirs; do for pkgdir in $(find $n -name "*.tar.xz" -printf "%h\n" | sort | uniq); do cpfn=$(ls -tc1 $pkgdir/*.tar.xz | head -1); echo "move [$cpfn]? (y*|n)"; read v; if [ ! "$v" = "n" -a ! "$v" = "N" ]; then sh -c "mv --interactive --update $cpfn $repodir && ( repo-add --new --quiet ${repodir}/ownrepo.db.tar.gz $repodir/$(basename $cpfn); )"; fi; done; done'
+ 'git push origin'
+ 'for n in $thedirs; do ( cd $n && makepkg --nodeps --noextract --force --nobuild --noarchive --nocheck --noprepare --skipinteg --clean ); done'
+)
+
+set -e
+
+for n in "${thingsToDo[@]}"; do
+ echo "Continue with [$n] (y*|n)?"
+ read v
+ if [ "$v" = "n" -o "$v" = "N" ]; then
+ echo "..command skipped..";
+ else
+ eval "$n";
+ fi
+done
+